import { Locale } from 'date-fns';
import { InjectionToken } from '@angular/core';
export interface DatepickerOptions {
    minDate?: Date | null;
    maxDate?: Date | null;
    minYear?: number;
    maxYear?: number;
    placeholder?: string;
    format?: string;
    formatTitle?: string;
    formatDays?: string;
    firstCalendarDay?: number;
    locale?: Locale;
    position?: 'left' | 'right' | 'bottom' | 'top';
    inputClass?: string;
    calendarClass?: string;
    scrollBarColor?: string;
    enableKeyboard?: boolean;
}
export declare const DATEPICKER_OPTIONS: InjectionToken<DatepickerOptions>;
export declare function mergeDatepickerOptions(opts: DatepickerOptions): DatepickerOptions;
export declare const defaultOptions: DatepickerOptions;
